Rensei docs

Soft-delete (revoke) an org API key.

Soft-delete (revoke) an org API key. - Rensei REST API operation reference.

DELETE
/api/org/api-keys

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body
keyId*string

The api_keys row id to revoke.

force?boolean

Required (with reason) to revoke a daemon-install key used within the last 7 days.

reason?string

Why a recently-used daemon-install key is being revoked.

Response Body

Key revoked.

application/json
  1. response
success*boolean
Example Request
curl -X DELETE 'https://app.rensei.ai/api/org/api-keys' \  -H 'Content-Type: application/json' \  -d '{  "keyId": "string"}'
Example Response
{  "success": true}